Introduction

Version 1.5.01


What is IcoFX

IcoFX is a free icon editor. You can easily create, edit, read and save icons with transparency for Windows XP and Vista. You can convert your favorite images into icons, or icons to images. With the help of many tools and more than 40 effects icon creation is made easy. It offers powerful tools like Brighten, Darken, Blur and Sharpen for retouching your icons in minutes. In the integrated workspace you can easily preview, save, change your icons.


Features
 Û Ý Ü

· Support for Vista icons with PNG compression
· Create icons for Windows 98 / ME / 2000 / XP / Vista
· Support for alpha channel
· Batch processing
· More than 40 effects, including Drop Shadow
· Create custom filters
· Multiple language support
· Resolutions up to 256x256
· Data types: 2, 16, 256, True Color, True Color + Alpha
· Extract icons (including Vista icons) from 32 bit exe and dll
· Import / export images (transparency also)
· Many useful drawing tools like brush, line, rectangle and more
· Transparent, Brighten/Darken, Blur/Sharpen tools for retouching
· Create icon from an image with a single click
· Adjust the contrast, brightness, hue, saturation, transparency and color balance of icons
· Change the dimension of images
· Images can be faded using the fadeout dialog
· Increase / decrease the opacity of an image
· Easy shadow handling
· RGB and HSB color modes
· History of recently opened files
· Window menu for easy window switching
· Possibility to store favorite colors
· Capture image from the desktop
· Grid for precision work
· Side bar for easy image switching
· File Explorer window for easy import
· Full drag and drop support
· Sizable preview window
· Multiple undo
· Blur the edge of the brush
· Rotate the image at any angle


Licence

Disclaimer

This program is distributed in the hope that it will be useful, but WITHOUT ANY WARRANTY; without even the implied warranty of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. The author of this program can not be made responsible for any, direct or indirect, damage caused by the program.

License and costs

IcoFX is a free program for personal use. Do not redistribute it. If you want to include IcoFX on any distribution media, any Internet site I would like to know.


Bug Report

If you found a bug please report it, so I can correct it in the next version. Please write down what was the bug, and how can it be reproduced.

Please send bug reports and comments to icofxsoftware@gmail.com


Contact

I hope you enjoy IcoFX, if so I would like to know. Any suggestions, comments or bug reports are welcome.

My email address is: icofxsoftware@gmail.com


Version History

+ New feature
* Enhanced feature
- Removed feature

Version 1.5.01

+ Japanese translation
+ Catalan translation
* Fixed bug regarding Asian language files

Version 1.5

+ Extract Windows Vista icons
+ Multiple language support
+ Batch processing
+ File Explorer window
+ Fade Out window
+ Shadow window
+ Import Gif
+ Export Gif
+ Minor enhancements
+ Full drag and drop support
+ Export transparency information
+ Recent files history
+ Sidebar with image thumbnails
+ Window menu for easy window handling
+ Save/Load palette
* Keep aspect ratio when importing
* Better rotate algorithm
* Better resize algorithm
* Better contrast algorithm
* Better text handling
* Better selection handling
* Bugfixes

Version 1.0 b

+ Supports Windows Vista icons
+ Import jpeg, png, bmp
+ Export jpeg, png, bmp
+ Blur edges of brush
+ Filter on alpha option
+ Each image has it's own zoom level
* Extract all icon formats from 32bit files
* better docking
* better preview
* Bugfixes

Version 0.9b

First release


Acknowledgments

Development Environment

Title: Turbo Delphi
Company: Borland Software Corporation
Web: http://turboexplorer.com

Color quantization algorithm

Author: Earl F. Glynn
Web: http://www.efg2.com

Convert RGB to HSB and HSB to RGB

Author: William Egge
Company: Eggcentric
Web: http://www.eggcentric.com

PNG support

Author: Gustavo Huffenbacher Daud
E-mail: gustavo.daud@terra.com.br
Web: http://pngdelphi.sourceforge.net

GIF support

Author: Anders Melander
E-mail: anders@melander.dk
Web: http://www.melander.dk

Language File Translators

German:
Author: Andreas Lauß
Web: http://www.andreas-lauss.de

Spanish:
Author: Álvaro Méndez
Web: www.softoniqueros.com

Japanese:
Author: Nardog
Web: http://nardog.takoweb.com

Catalan:
Author: Mallol Nolla Roig

Inno Setup

Author: Jordan Russell, Martijn Laan
Web: http://www.jrsoftware.org

HelpMaker

Company: Vizzac Pte Ltd..
Web: http://www.vizacc.com


System Requirements

Recommended

· Pentium® 3/4 or AMD Athlon - 600 Mhz or more
· True Color Video Card (24 or 32 bits - 16,8 M colors)
· 128 Mb RAM
· 50 MB HDD
· Microsoft Windows® 98 / ME / 2000 / XP / Vista


Using IcoFX

This chapter describes the user interface of IcoFX, and how to use most of its features.


About Icons

General

Icons are small images, which can be associated to file types, executables, to identify and recognize them easier. Double clicking an icon opens / executes the file.

Structure

An icon contains more images in different size and format. Each image can contain a transparent area. Windows chooses the file format needed from the icon. If the icon does not contain the given format, Windows chooses an appropriate one and resize it. This can result in image loss. The file format is chosen based on the screen settings, and the size is chosen like follows:
· 16x16: Displayed on the task bar, lists and headers
· 32x32: Displayed on the desktop, control panel
· 48x48: Displayed in Explorer when thumbnail or titles view is selected
· 256x256: Windows Vista® only

Image Formats

Image formats recommended for icons:

The 256x256 formats are needed only for Windows Vista.

Windows XP icons

With the introduction of XP the icon format changed, a new image format was placed inside the icon, a 32 bit image. This image format contains transparency information also known as alpha channel, or opacity. This allows that the background image can blend through the icon. With the help of this feature we can create shadow effects, semi transparent icons and more.

Windows Vista icons

With Windows Vista another standard icon size was introduced 256x256. This would result in big icons, so images with the size 256x256 can be compressed using PNG compression, resulting in smaller file size..


About Data Types

General

The data type of an image refers to the way that the image is stored internally, how many space (Bits) does a single pixel of the image occupy. This affects the number of colors that an image can display. Images with a data type of 1, 4 or 8 bits contain a palette. Using this technique they do not need to store the color of each pixel, they store only the palette index of the given color. Images with a data type of 24 or 32 bits do not use palettes. They store the color of each pixel separately. IcoFX supports five data types:

Monochrome (1 Bit)

Each pixel of the image occupies only one bit. You have two available colors in the palette.

16 Colors (4 Bits)

Each pixel of the image occupies 4 bits. You have 16 available colors in the palette.

256 Colors (8 Bits)

Each pixel of the image occupies one byte (8 Bits). You have 256 available colors in the palette.

True Color (24 Bits)

Each pixel of the image occupies 3 Bytes (24 Bits). You have 16777216 available colors.

True Color + Alpha (32 Bits)

The only difference between the 24 Bits and 32 Bits data type is that the 32 Bits data type stores a transparency value for each pixel. Each pixel of the image occupies 4 Bytes (32 Bits). You have 16777216 available colors plus the opacity information of each pixel.


About Selections

General

A selection is a 32 bit image, that can hover over an image. You can drop the selection, and then it will be a part of the underlaying image.This is a good technique to multiply, resize, rotate a.s.o. parts of the image. When you paste an image or insert a text it will become a selection. You can copy selections into the clipboard also. You can create a selection using the " Selection Tool "

When the [image] "Transparency of the selection" option is selected the selection will be transparent, the underlaying image will show trough. When the selection is dropped this option is used to merge the two images.

Modify a Selection

The selection can be modified through the image adjustment dialogs . And flipped, rotated, shifted with the adequate tools. On the sides of the selection there are small buttons. You can resize the selection by dragging these buttons, or using the Dimension dialog .Using the "Edit / Original Size" menu point you can reset the size of the selection.

You can find the menu commands for the selection in the main menu Edit men:.
· Using the "Edit / Select All" (Ctrl+A) you can select the entire image.
· Using the "Edit / Fit To Screen" (Ins) you can resize the image so that it covers the entire image
· Using the "Edit / Original Size" (BkSpc) menu point you can reset the size of the selection.
· Using the "Edit / Bring to Front" (Home) menu point you can bring a selection in front of the image.
· Using the "Edit / Send to Back" (End) menu point you can send a selection behind the image.

Dropping The Selection

The selection has always a data type of 32 bit. When dropping a selection with a bigger bit count on a lower bit count image we have the option to change the palette of the selection. This can be set in the Preferences window . When pasting a bigger image over a smaller image we have the option to resize, or to crop the selection. The default action can be set in the Preferences window.

Drag And Drop

If the option "Selection can be dragged between windows" is checked in the " Preferences dialog " then you can drag selections between windows. If you drag a selection on the the IcoFX workspace then a new icon will be created from selection.


Colors Window

Colors Window (Shortcut Ctrl+Alt+C)
 Û Ý Ü

The colors window contains 4 parts: selected colors, favorite colors, palette, and color mixer.
IcoFX can handle two color modes RGB (red, green, blue) and HSB (hue, saturation, brightness).

Selected color

It shows the selected colors, the foreground color and background color. It shows the colors with their transparency value.
With the button Reset we can reset the foreground color to black and the background color to transparent.
With the Change button we can switch the two colors.
Double clicking on one of the colors brings up a color selection dialog.

Favorite colors

Here we can store 30 colors for further use in cells. This is saved, and restored when IcoFX is restarted. When we change a color the color of the selected cell also changes.

The foreground color is changed
The background color is changed

Palette

Here we can see the available colors. Clicking on the palette we can select the foreground/background color. Under the palette is a large bar. Clicking on this will select the transparent color.
When the palette has 256 colors or less, the colors are shown in cells. When we change a color the color of the selected cell also changes, and clicking on a cell changes the foreground color. Palettes can be loaded and saved using the load and save buttons at the bottom of the palette. This is available only if the palette has 256, 16 or 2 colors. If a palette is loaded then the color of the icon will adapt to the new palette.
IcoFX supports two kind of palettes:
· *.pal - Microsoft Palette File
· *.act - Adobe Color Table

The foreground color is changed
The background color is changed

Color Mixer

Here we can mix our color with precision and also here we can set the opacity level. It offers two color modes: RGB (red, green, blue) and HSB (hue, saturation, brightness). We can change between these modes using the RGB, and HSB buttons.

RGB

We can mix the foreground color using three bars. With the help of these bars we can specify the amount of red, green, blue in the foreground color. After the bars there is an edit box. Here the amount of color is shown. If we want more precision we can edit this value manually by entering a value between 0 and 255. With the lower bar we can set the opacity of the color.

HSB

This is a more intuitive method than the RGB. We can mix the foreground color using three bars. With the hue bar we can select the color, with the saturation bar we can set the color saturation, and with the brightness bar we can select the color’s brightness. After the bars there is an edit box. Here we can see the value selected with the help of the bars. This value can be edited. With the lower bar we can set the opacity of the color.


Preview Window

Preview Window (Shortcut Ctrl+Alt+P)
 Û Ý Ü

Here we can preview the images at it's original size. The "Preview" window can be resized to any size. If the image shown is bigger than the window it can be moved with the mouse. The image adjustment windows offer a similar previews.


File Explorer Window

File Explorer Window (Shortcut Ctrl+Alt+E)
 Û Ý Ü

General

Using the "File Explorer" you can view the graphical files supported by IcoFX (ico, bmp, jpg, gif, cur, png). The "File Explorer" offers thumbnails of images, so you can easily find a given image.

On the top of the dialog there is a toolbar. The first button is a refresh button. You can refresh the content of the dialog with it. The second button is the "File Name" button. You can show / hide the file names using this button. Using the scroll bar you can adjust the size of the thumbnails.

You can select multiple images in the "File Explorer", then right click and you can add them automatically to the " Batch Process " dialog.

Drag and Drop

You can drop images from the "File Explorer" to the IcoFX workspace and they will be automatically converted to icon. You can select multiple images also. In this case they will be all converted to icons.

If you drop an image on a window it will be imported as a selection in the given window. If more than one file is selected then only the first file will be dropped as a selection. You can use this technique to create icon from more composite images. Using the "Edit / Bring to Front" and "Edit / Send to Back" menu options this is a powerful technique.


Main menu

· File

· New - Creates a new icon
· Open - Opens an icon from the disk
· Save - Saves an icon to the disk
· Save As - Saves an icon using another name
· Batch Process - Opens the Batch Process dialog
· Close - Closes the current edit window
· Close All - Closes all edit windows
· Capture - Capture a portion from the screen
· Extract - Extracts an icon from an exe, dll, ocx, icl
· Import - Creates an image from a bmp, png, gif or jpg. You can select the frames to import in the case of GIF files using the " Frames " dialog. this dialog will pop up automatically.
· Export - Save an image as bmp, png, gif or jpg
· Recent Files - the list of the last ten files opened with IcoFX
· Exit - Exits IcoFX

· Edit

· Undo - Undo the modification
· Redo - Redo an undo step
· Copy - Copies a selection to the clipboard
· Paste - Pastes the content of the clipboard to the image as a selection
· Cut - Copies a selection to the clipboard, and the selection will be deleted
· Delete - Deletes a selection
· Select All - The current image will be selected
· Fit To Screen - The selection will be resized to the size of the image
· Original Size - The selection will be resized to it's original size
· Bring To Front - The selection will be in the front of the image
· Send To Back - The selection will be behind the image

· View

· Tools - Shows / hides the Tools window
· Preview - Shows / hides the Preview window
· Colors - Shows / hides the Colors window
· Explorer - Shows / hides the File Explorer window
· Main Toolbar - Shows / hides the Main toolbar
· Local Toolbar - Shows / hides the Local toolbar
· Status Bar - Shows / hides the Status Bar
· Side Bar - Shows / hides the Side Bar
· Grid - Shows / hides the grid. Also included on the Main toolbar

· Effects

A collection of filters and effects, which can be applied to the image. Using the Last Effect you can reapply the last used effect. You can create custom filters also using the Custom Filter dialog.

· Image

· Brightness / Contrast - Opens the Brightness / Contrast dialog
· Hue / Saturation - Opens the Hue / Saturation dialog
· Color Balance - Opens the Color Balance dialog
· Opacity - Opens the Opacity dialog
· Dimension - Opens the Dimension dialog
· Fade Out - Opens the Fadeout dialog
· Shadow - Opens the Shadow dialog
· Rotate - You can rotate the image or selection at 90° left or right, or at 180°. You can flip your image or selection horizontally or vertically. Using the Free Rotate dialog you can rotate them at any angle.
· Data Type - Change the data type of the image

· Icon

· New image - Adds a new image to the icon using the Insert Image dialog
· Delete image - Deletes the selected image from the icon. This action cannot be undone
· Next Image - Shows the next image in the icon
· Previous image - Shows the previous image in the icon
· Create icon from image - Opens the Create Icon From Image dialog
· Properties - Opens the Properties window

· Options

· Preferences - Opens the Preferences Dialog .
· Languages - Changes the language of the user interface

· Window

· Tile - Tiles the open windows
· Tile Horizontally - Tiles the open windows horizontally
· Tile Vertically - Tiles the open windows vertically
· Cascade - Cascades the open windows
· List of open windows - Easy switching between windows

· Help

· Help - Opens this help
· Web - Opens the web site of IcoFX
· About - Opens the About dialog


Main Toolbar

Here we have shortcuts to the most important functions and options of IcoFX.
· New icon
· Open icon
· Save icon
· Cut selection
· Copy selection
· Paste selection
· Undo modification
· Redo modification
· Use filter on alpha channel
· Soft edge of brush
· Transparency of the selection

Transparency of the selection

When this option is selected the selection will be transparent, the underlaying image will show trough.

Show filter on alpha channel

If this option is set, then all filters will be applied on the alpha channel (transparency) too. If not the transparency of the image will not be changed.

Soft edge of brush

If this option is set then the edge of the brush is softened when drawing. This also applies to the text tool.


Work Area

Here you can draw, edit your image. You can open multiple working areas. Each one has a local toolbar, on witch are important options. The background has a texture of which look can be set at the Preferences dialog . This texture helps us to have a better control over the transparency of the image. On the left side there is the Side Bar, with thumbnails of all the images inside the icon. Using the Side Bar you can easily switch between the images.

Local Toolbar

Using the local toolbar we can select the active image from the icon using the image combo box. The selected image will be shown on the work area. In this combo we can see the size and the data type of the image.

There are two buttons one to add a new image and another to delete the current image.

On the zoom combo box we can select the level of the image's zoom. With the two buttons located on the sides of the zoom combo box we can increase/decrease one step the zoom level.

Grid

Whit this button pressed a grid is shown over the working area. This helps us to identify pixels easier. The look of the grid can be set at the preferences dialog. This button will show / hide the grid only on the current work area. If you wish to show/hide the grid on all work areas then use the following menu: View / Grid.

Side Bar

This button shows/hides the side bar.This button will show / hidee the side bar only on the current work area. If you wish to show / hide the side bar on all work areas then use the following menu: View / Side Bar.


Batch Process

General

Using the "Batch Process" dialog you can work with multiple files at the same time.
After pressing the "OK" button you can see the details of the processing. You can cancel the processing of files using the "Cancel" button. This dialog has four parts:

Action

Here you specify the behavior of the dialog. You can choose between three actions:
· Create icons from images - The images will be converted to icons
· Create images from icons - The images from the icon will be exported to images
· Extract icons from resources - The icons will be extracted from the resource files
The dialog will behave based on this setting.

Files

Here you can add the files to work with. Using the "Add" button you can add additional files to the list. Only those files will be added to the list that are allowed by the selected action. Using the "Remove" button you can remove the selected files from the list. The "Clear" button will remove all the files from the list. Under the buttons you can see the number of files in the list. If you want to convert Gif files to icons, and the Gif file contains more frames then the first frame is converted.

Image Formats

Here you can specify which image formats to include in the icon. This part is visible only when the "Create icons from images" action is selected.

Output

Here you can select the output directory for the result files, and you can specify the output file format when the "Create images from icons" action is selected.


Tools Window

Tools Window (Shortcut Ctrl+Alt+T)
 Û Ý Ü

These tools help you draw, modify, enhance your images. Some tools have extra properties like line width or brush shape. These can be selected in the lower portion of the tools window. Some of these tools use the color selected in the Colors window . Depending on which mouse button you press you can select the foreground or background color. Left mouse button is for foreground color. The [image] Smooth edges and the [image] Use filter on alpha channel options can be applied on some tools. These are located on the main toolbar . Many of this tools will behave different when you hold down shift. You can cancel the drawing by pressing Esc.


Selection Tool

Selection Tool (Shortcut S)
 Û Ý Ü

With the selection tool you can cut out a part of the image and create a selection from it. This part can be deleted, copied and pasted over the same or another image. For more information about selections see the " About Selections " chapter.

When a selection is made then the image is cut out from the original image. You can hold the Alt key to prevent this. If you hold down Shift key wile drawing the selection the selection will be equilateral.

Make a selection, or move the existing selection
Drop the selection


Crop Tool

Crop Tool (Shortcut C)
 Û Ý Ü

With the crop tool we can cut out a part of the icon. We make a rectangle on the image; the size of the image will be the size of that rectangle, and the rest of the image will be dropped. This is useful when we want to have just a portion of an image.


Text Tool

Text Tool (Shortcut T)
 Û Ý Ü

With the text tool we can insert texts on the image. The soft edges option can be applied on it. Click on the image where you want to draw the text, and a dialog will appear. Here we can insert the text and set the font type, size, style of the text. A preview is also available. The text will be inserted as a new selection, so you can easily reposition your text.

The foreground color is used
The background color is used


Color Eraser Tool

Color Eraser Tool (Shortcut E)
 Û Ý Ü

With the help of the color eraser tool we can erase just a single color. To select a color from the image use the color picker tool.
We can set the brush form and size properties in the lower part of the tools window.

The foreground color is deleted
The background color is deleted


Fill Tool

Fill Tool (Shortcut F)
 Û Ý Ü

With this tool you can fill a part of the image with a specified color.

The foreground color is used
The background color is used


Spray Tool

Spray Tool (Shortcut R)
 Û Ý Ü

You can spray over the image. The size of the brush can be selected.

The foreground color is used
The background color is used


Brush Tool

Brush Tool (Shortcut B)
 Û Ý Ü

With this tool you can draw over the image. The soft edges option can be applied on it. We can set the brush form and size properties in the lower part of the tools window.

The foreground color is used
The background color is used


Pencil Tool

Pencil Tool (Shortcut P)
 Û Ý Ü

This tool is similar to the brush tool, but you cannot select any brush properties. This will draw with the smallest brush size. The soft edges option can be applied on it.

The foreground color is used
The background color is used


Line Tool

Line Tool (Shortcut L)
 Û Ý Ü

You can draw a continuous line on the image. Click where you want to start the line and release it when you reached the end position.
The soft edges option can be applied on it. You can select the brush size and shape.
If you hold down the Shift key while drawing, you can draw vertical, horizontal and 45 degree lines. Using the Esc key you can cancel the drawing.

The foreground color is used
The background color is used


Rectangle Tool

Rectangle Tool (Shortcut X)
 Û Ý Ü

You can draw a rectangle on the image. Click where you want to start the rectangle and release it when you reached the end position. The soft edges option can be applied on it. You can select the brush size and the rectangle fill style.
· [image] There is no fill. The rectangle will be empty
· [image] The fill has the opposite color than the border (if the border has the foreground color, the fill has the background color)
· [image] The fill has the same color than the border

If you hold down the Shift key while drawing, the rectangle will be equilateral. Using the Esc key you can cancel the drawing

The foreground color is used as border color and background color as fill color
The background color is used as border color and foreground color as fill color.


Rounded Rectangle Tool

Rounded Rectangle Tool (Shortcut Y)
 Û Ý Ü

You can draw a round edged rectangle on the image. It is similar to the rectangle tool but the edges are rounded. Click where you want to start the rectangle and release it when you reached the end position. The soft edges option can be applied on it. You can select the brush size and the rectangle fill style.
· [image] There is no fill. The rectangle will be empty
· [image] The fill has the opposite color than the border (if the border has the foreground color, the fill has the background color)
· [image] The fill has the same color than the border

If you hold down the Shift key while drawing, the rounded rectangle will be equilateral. Using the Esc key you can cancel the drawing

The foreground color is used as border color and background color as fill color
The background color is used as border color and foreground color as fill color


Ellipse Tool

Ellipse Tool (Shortcut Y)
 Û Ý Ü

You can draw an ellipse on the image. Click where you want to start the ellipse and release it when you reached the end position.
The soft edges option can be applied on it. You can select the brush size and the fill style.
· [image] There is no fill. The ellipse will be empty
· [image] The fill has the opposite color than the border (if the border has the foreground color, the fill has the background color)
· [image] The fill has the same color than the border

If you hold down the Shift key while drawing, you will get a circle. Using the Esc key you can cancel the drawing

The foreground color is used as border color and background color as fill color
The background color is used as border color and foreground color as fill color


Opacity Tool

Opacity Tool (Shortcut O)
 Û Ý Ü

With this tool you can change the opacity of the image. It is similar to the brush tool, but only changes the transparency of the image. This uses the transparency value of the foreground color. How to set the transparency value: see the color window.
We can set the brush form and size properties in the lower part of the tools window.


Gradient Tool

Gradient Tool (Shortcut G)
 Û Ý Ü

We can create gradient effects with this tool. Click where you want to start the rectangle and release it when you reached the end position. The rectangle will be filled with the gradient effect. We can set horizontal or vertical gradient.

If you hold down the Shift key while drawing, the rectangle of the gradient will be equilateral. Using the Esc key you can cancel the drawing

The foreground color is the starting color and background color is the end color
The background color is the starting color and foreground color is the end color


Color Picker Tool

Color Picker Tool (Shortcut I)
 Û Ý Ü

Selects a specified color from the image. It selects the color from where you have clicked on the image. After you have selected a color the previous tool will be selected automatically. To prevent this hold down the Shift key while selecting.

The color is selected as foreground color
The color is selected as background color


Zoom Tool

Zoom Tool (Shortcut M)
 Û Ý Ü

Zooms in and out the image. You can use the + and - keys also.

The image is zoomed in
The image is zoomed out


Brighten / Darken Tool

Brighten / Darken Tool (Shortcut [ )
 Û Ý Ü

It brightens / darkens the image. With the help of this tool you can create light / shadow effects.
We can set the brush form and size properties in the lower part of the tools window.

The image is brightened
The image is darkened


Blur / Sharpen Tool

Blur / Sharpen Tool (Shortcut ] )
 Û Ý Ü

It blurs / sharpens the image. With the help of this tool we can easily retouch the image. We can blur the image to hide details, and sharpen it to reveal details.
We can set the brush form and size properties in the lower part of the tools window.

The image is blurred
The image is sharpened


Rotate & Flip Tools

These tools can rotate / flip the image. They can be applied on selections also. If you want to rotate an image at a given angle, then use the Free Rotate dialog .

Flip horizontal
It flips the image horizontally
It can be applied to an image or selection.

Flip vertical
It flips the image vertically
It can be applied to an image or selection.

Rotate left
It rotates the image 90º left
It can be applied to an image or selection.

Rotate right
It rotates the image 90º right
It can be applied to an image or selection.


Shift Tools

These tools are used to shift by one pixel the image or selection.

Shift left
It shifts the image left by one pixel
It can be applied to an image or selection.

Shift right
It shifts the image right by one pixel
It can be applied to an image or selection.

Shift up
It shifts the image up by one pixel
It can be applied to an image or selection.

Shift down
It shifts the image down by one pixel
It can be applied to an image or selection.


Image Adjustment Dialogs

Image Adjustments Dialogs

Most image adjustments can be applied on images or selections. With the help of a real time preview we can see the effect of the modification.


Custom Filter Dialog

Custom Filter Dialog (Shortcut Ctrl + F)
 Û Ý Ü

With IcoFX you can also create custom filters. Here you can define your own values for the filter, or modify an already existing filter from the "Samples" combo box. Pressing the "Test" button you can preview the filter. If the [image] Filter on alpha option is selected on the main toolbar the filter is also applied on the alpha channel (transparency).


Brightness / Contrast Dialog

Brightness / Contrast Dialog (Shortcut Ctrl + B)
 Û Ý Ü

Here you can increase / decrease the brightness and contrast of the selected image or selection.


Hue / Saturation Dialog

Hue / Saturation Dialog (Shortcut Ctrl + H)
 Û Ý Ü

Using this dialog you can set the hue, saturation and brightness of the image or selection. In the color bars at the bottom of the dialog you can see the new replacement of each color.


Color Balance Dialog

Color Balance Dialog (Shortcut Ctrl + J)
 Û Ý Ü

Here you can set the color balance, the amount the main colors can be set using bars.


Dimension Dialog

Dimension Dialog (Shortcut Ctrl + D)
 Û Ý Ü

Here we can change the size of an image. These adjustment cannot be applied on selections.


Free Rotate Dialog

Free Rotate Dialog (Shortcut Ctrl + R)
 Û Ý Ü

Here we can rotate an image at any angle. At the top of the dialog we can set the center of the rotation. Dragging the circle will change the center of the rotation. If you right click on the circle it will reset the center. We can specify the direction of the rotation: left or right. At the bottom of the dialog we can set the angle of the rotation.


Shadow Dialog

Shadow Dialog (Shortcut Ctrl + W)
 Û Ý Ü

I the Shadow dialog we can set the drop shadow of an image or selection. We can specify the style of the shadow: Bottom-Right, Bottom-Left, Top-Right, Top-Left and Center. Using the "Intensity" slider we can set the intensity of the shadow. A value of 5 will result in a very dark shadow and a value of -5 will result in a light shadow. Using the "Size" slider we can set the amount of blur applied on the shadow. With the "X-offset" and "Y- offset" we can specify the distance of the shadow from the image.


Fadeout Dialog

Fadeout Dialog (Shortcut Ctrl + U)
 Û Ý Ü

Using the "Fadeout" dialog you can make apply a gradient on the transparency of an image or selection. The "Fill type" specifies how to apply gradient to the image: horizontally or vertically. We can set the starting and ending opacity. This will create a gradient fill between two values.


Opacity Dialog

Opacity Dialog (Shortcut Ctrl + P)
 Û Ý Ü

Here you can increase / decrease the opacity (transparency) of an image or selection. This works only for 32 bit images.


Other Dialogs

Beside the image adjustment dialogs IcoFX also contains other useful dialogs, like the Insert Image and the Create Icon From Image.


Properties Dialog

Properties Dialog (Shortcut Alt + Enter)
 Û Ý Ü

Here we can see the properties of an icon like size (without compression), name, location, and the image number. We can also see the properties of each individual image in the icon: data type, dimension, size (without compression).


Preferences Dialog

Preferences Dialog (Shortcut Alt + Enter)
 Û Ý Ü

In the "Preferences" dialog we can set the options of IcoFX. It has for tabs:

Transparency / Grid Tab
On this tab we can set:
· The background pattern of the images, how the transparent area of the icon is shown. Transparency properties like the size of the grid, the color of the grid. We can select custom colors also. In a preview area we can see the result.
· The properties of the grid, shown over the images, like the style and color.
· The background color of the preview window

Action Tab
On the action tab:
· What action to take if the palette is about to be changed
· What action to take if the pasted image is larger than he canvas

Options Tab
On this tab we have the following options:
· Option to compress Windows Vista (256x256) images using PNG compression. Other image sizes will not be compressed to keep the compatibility of the with Windows XP or lower
· Option to smooth the edges of the brush. Also included on the Main Toolbar
· Option to use the filter on alpha channel (transparency). Also included on the Main Toolbar
· Option to keep the original aspect ratio when importing an image
· Option to empty the clipboard on exit
· Option to export the transparency information to images (bmp, gif, png)
· Option to preserve the transparency of the selection. When this option is selected the selection will be transparent, the underlaying image will show trough. Also included on the Main Toolbar
· Option to drag the selection between windows. For more information see the Selection .

Association Tab
Here we can associate ICO files with IcoFX. When you double click an icon in explorer it will be opened with IcoFX.
We can add IcoFX to windows Explorer context menu. When you right click a file in the Explorer on the appearing pop up menu the option "Open with IcoFX" will be available.
These check boxes are available only for administrators (users who can write to the Windows registry).


Create Icon From Image Dialog

Create Icon From Image Dialog (Shortcut Ctrl + I)
 Û Ý Ü

Using this dialog you can create easily an icon from a single image. Create one image, and in this dialog you can select the image formats you want to have in your icon. With a single click the icon is created.


Insert New Image Dialog

Using this dialog we can insert new images into the icon. Here we can Set the data type , and the size of the image. This dialog is shown when creating a new icon (for inserting the first image). In this case the "Source Image" section is not shown.
If the "Create the new image from the selected image" is checked, then the new image will be created from the image that is selected in the list. This option is not available when creating a new icon.


Gif Frames Dialog

Gif Frames Dialog Dialog

Using the "Frames" dialog we can select which frames of an animated Gif file we want to import. We can select more than one frame. This dialog is automatically shown when we try to import a Gif file. If the "Over-impose frames" check box is checked, then the frames are over-imposed, and they will be imported as we see it in the Gif file. However if this option is not checked then the frames will be importad as they are stored inside the Gif file.


Extract Dialog

Extract Dialog Dialog

Using the "Extract" dialog we can extract icons from resource files like exe, dll, ocx. IcoFX can extract Windows Vista icons (PNG compressed) also. When we try to extract from a resource file this dialog is automatically shown. It contains a list of the icons in the resource file. We can see after the name of the icon the number of images that it contains. If we select more than one icon then all the selected icons will be opened in the IcoFX workspace for editing. You have to save each one separately. If you want to extract all the the icons from an icon without editing then use the " Batch Process " Dialog.


How To ...

This chapter explains step by step how to perform certain actions using IcoFX.


How to create an icon

1. Start IcoFX
2. Create a new empty icon (Ctrl + N)
3. On the New Image dialog select the size, and data type of the image
4. Draw the icon
5. Choose Icon/ Create Icon From Image from the main menu
6. Select the image formats to include in the icon
7. Press Ok
8. Save the icon (Ctrl + S)


How to extract an icon

1. Start IcoFX
2. In the file menu select the extract menu point
3. Select the file witch contains the icon
4. The " Extract dialog " will appear showing all the icons that the file contains
5. Select the icon you would like to extract
6. Press the extract button
7. Save the icon (Ctrl + S)


How to create an icon from a BMP, PNG, GIF or JPG

1. Start IcoFX
2. In the File menu select the Import image menu point
3. Select the image you would like to import
4. In the case of GIF files you must select the frame(s) to import using the " Frames " dialog.
5. A new icon image will be created from this image
6. On the New Image dialog select the size, and data type of the image
7. Choose Icon/ Create Icon From Image from the main menu
8. Select the image formats to include in the icon
9. Press Ok
10. Save the icon (Ctrl + S)


How to create a Windows Vista icon

1. Start IcoFX
2. Create a new empty icon (Ctrl + N)
3. On the New Image dialog select the size 256x256 , and data type of the image True Color + Alpha channel
4. Draw the icon
5. Choose Icon/ Create Icon From Image from the main menu
6. Select the image formats to include in the icon make sure to include the 256x256 image formats.
7. Press Ok
8. Make sure that the Compress 256x256 images for Windows Vista option is selected (this can be selected on the Preferences dialog )
9. Save the icon (Ctrl + S)


How to modify multipple images / icons

How to modify multiple images / icons

1. Start IcoFX
2. Open the " Batch Process " dialog
3. Select the desired action
4. Select the files you want to process
5. Select the output directory
6. Press the "OK" button


Tips

This chapter contains useful tips about IcoFX.


Keyboard Shortcuts

Tools

Selection S
Crop C
Text T
Color eraser E
Fill F
Spray R
Brush B
Pencil P
Line L
Rectangle X
Round rectangle Y
Ellipse Z
Opacity O
Gradient G
Color picker I
Zoom M
Brighten / darken [
Blur / sharpen ]

File

New Ctrl + N
Open Ctrl + O
Save Ctrl + S
Close Ctrl + F4
Extract Ctrl + T
Import Image Ctrl + M
Export Image Ctrl + E
Exit Alt + F4

Edit

Undo Ctrl + Z
Redo Ctrl + Y
Copy Ctrl + C
Paste Ctrl + V
Cut Ctrl + X
Delete Del
Select All Ctrl + A
Fit To Screen Ctrl + Ins
Original Size BkSpc
Bring To Front Home
Send To Back End

View

Tools Ctrl + Alt + T
Preview Ctrl + Alt + P
Colors Ctrl + Alt + C
Explorer Ctrl + Alt + E
Side Bar Ctrl + Alt + S
Grid Ctrl + G

Effect

Last Effect Ctrl + L
Custom Filter Ctrl + F

Image

Brightness / Contrast Ctrl + B
Hue / Saturation Ctrl + H
Color Balance Ctrl + J
Opacity Ctrl + Q
Dimension Ctrl + D
Fadeout Ctrl + U
Shadow Ctrl + W
Free Rotate Ctrl + R

Icon

Create Ico From Img Ctrl + I
Properties Alt + Enter

Options

Preferences Ctrl + P

Window

Tile Alt + T
Tile Horizontally Alt + H
Tile Vertically Alt + V
Cascade Alt + C

Help

Help F1

Preferences

Soft Edges /
Use Filter on Alpha A
Preserve transparency \

General

Zoom In +
Zoom Out -
Line width 1 1
Line width 2 2
Line width 3 3
Line width 4 4
Line width 5 5
Line width 6 6
Line width 7 7
Drop Selection Esc


Restore Default Configuraton

Restore Default Configuration

To restore the original configuration of IcoFX:
· Stop IcoFX
· Delete the file config.cfg from the c:\Documents And Settings \ <username> \ Application Data \ IcoFX directory . Where <username> is your login name. Be sure that hidden files are visible
· Restart IcoFX


Restore Default Favorite Colors

To restore the original favorite colors of IcoFX:
· Stop IcoFX
· Delete the file colors.dat from the c:\Documents And Settings \ <username> \ Application Data \ IcoFX directory . Where <username> is your login name. Be sure that hidden files are visible
· Restart IcoFX


Troubleshooting
 Û Ý

The new language of the interface is not displayed correctly

IcoFX uses non-Unicode language files. You need to configure Windows in such a way that it supports the non-Unicode language files. Please select the desired language at: Control Panel -> Regional And Language Options -> Advanced -> Language for non- Unicode Programs. This will allow IcoFX to show the language files correctly.


The new language of the interface is not displayed correctly

IcoFX uses non-Unicode language files. You need to configure Windows in such a way that it supports the non-Unicode language files. Please select the desired language at: Control Panel -> Regional And Language Options -> Advanced -> Language for non-Unicode Programs. This will allow IcoFX to show the language files correctly.